#include "ArduinoJson.h"
#include "dht.h"

dht DHT; // задать имя вашему датчику DHT

#define DHT11_PIN A0 // вывод для данных DHT11
#define LED_PIN A1   // вывод для светодиода

void send_data();
int get_temperature();
int get_humidity();

void setup()
{
  Serial.begin(9600);
}

void loop()
{
  String str;
  str = Serial.readString(); // прочитать последовательный порт
  str.toLowerCase();         // конвертировать в нижний регистр
  if (str == "thl") 
  {
    do
    {
      str = Serial.readString(); // прочитать последовательный порт снова
      send_data();               // вызвать функцию отправки данных
    } while (str != "ok");       // продолжать отправлять данных, пока не получим "ok"
  }
  if (str == "led") 
  {
    digitalWrite(LED_PIN, HIGH);   // включить светодиод (HIGH это уровень напряжения)
    delay(1000);                   // подождать секунду
    digitalWrite(LED_PIN, LOW);    // выключить светодиод, опустив напряжение до уровня LOW
  }

}
void  send_data()
{
  StaticJsonBuffer<200> jsonBuffer;
  JsonObject& root = jsonBuffer.createObject();
  root["temp"] = get_temperature();
  root["humidity"] = get_humidity();
  root.printTo(Serial);
  Serial.println();
}

int get_temperature() // функция, которая возвращает температуру как целое число
{
  int temperature;

  DHT.read11(DHT11_PIN);
  temperature = DHT.temperature;
  return (temperature);
}

int get_humidity() // функция, которая возвращает влажность как целое число
{
  int humidity;

  DHT.read11(DHT11_PIN);
  humidity = DHT.humidity;
  return (humidity);
}
